### Function

# GObject type_get_type_registration_serial

since: 2.36

#### Declaration [src]

    guint
    g_type_get_type_registration_serial (
      void
    )

#### Description [src]

Returns an opaque serial number that represents the state of the set of registered types. Any time a type is registered this serial changes, which means you can cache information based on type lookups (such as g_type_from_name()) and know if the cache is still valid at a later time by comparing the current serial with the one at the type lookup.

Available since: 2.36

#### Return value

Type: `guint`

An unsigned int, representing the state of type registrations.